Bug 656154 - Fix disk space estimation errors in livecd-iso-to-disk
Summary: Fix disk space estimation errors in livecd-iso-to-disk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 06:17 UTC by Frederick Grose
Modified: 2011-03-08 22:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-16 00:54:41 UTC


Attachments (Terms of Use)
Fix disk space estimation and reporting code (4.45 KB, patch)
2010-11-23 06:17 UTC, Frederick Grose
no flags Details | Diff
Fix incomplete rename of freespace variable (1.35 KB, patch)
2010-12-02 04:53 UTC, Frederick Grose
no flags Details | Diff
Detect more disk space issues (1.30 KB, patch)
2011-03-08 22:24 UTC, Frederick Grose
no flags Details | Diff

Description Frederick Grose 2010-11-23 06:17:10 UTC
Created attachment 462241 [details]
Fix disk space estimation and reporting code

The patch submitted addresses the following:

1. The estimates of disk space to-be-deleted and to-be-added ignored the /syslinux and /EFI/boot folders (typically ~13 MiB on F-14 Live Desktop).

2. If the --skipcompression install option was selected, the compressed size of ext3fs.img was reported (underestimating the installed size by ~975 MiB).

3. The command to estimate free space on the target device could fail if a 'newline' ever crept into the mountpoint name (not likely since the script checks that it is unmounted first).

4. The requested and available space report could be formatted for easier reading.

The patch does not consider or change any of the DVD or net installer code.

The EFI or multi code paths were NOT tested.

Comment 1 Frederick Grose 2010-12-02 04:53:24 UTC
Created attachment 464161 [details]
Fix incomplete rename of freespace variable

I neglected to update a few uses of a renamed variable.  This patch should fix it.

Comment 2 Frederick Grose 2011-03-08 22:24:33 UTC
Created attachment 483049 [details]
Detect more disk space issues

Trap an inappropriate --skipcompress request for an oversized ext3fs.img on VFAT-formatted devices.

Include /boot/olpc.fth in install size estimate for --xo option.


Note You need to log in before you can comment on or make changes to this bug.